<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Language" content="Francais" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>Projet BaO : etiquetage morphosyntaxique d'une arborescence de fils RSS avec Treetagger et Cordial</title>
	<style type="text/css">
<!--debut de la feuille de style-->
body {
font-family: "Calibri", Arial, Verdana, serif;
width: 100%;
}

h1 {
text-align: center;
font-size: 1.6em;
font-variant: small-caps ;
color: #900505 ; 
}

h2 {
font-size: 1.2em;
color: #336699; 
text-indent : 10px;
}

.c2 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
}

.c1 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
font-style: italic;
}

th {
background-color: #EBECED;
}

.td1 {
color: silver;
font-size: 12px;
vertical-align : top;
width: 15%;
}

.td2 {
width: 90%;
}

#page {
background-color:#F9F9F9;
width: 100%;
height: 100%;
padding: 15px;
}

#titre {
margin: auto;
padding-top: 10px;
padding-bottom: 40px;
width: 70%;
height:80px;
background-image: -moz-linear-gradient(top, #EBECED, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#EBECED), to(#F9F9F9));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9)";
-moz-border-radius: 5px;
}

#tableau {
width: 100%; 
margin-top: 20px; 
margin-bottom: 20px;
padding-bottom: 20px;
line-height: 1.5em ;
border-collapse: collapse;
}

.forme {
font-size: 14px;
font-weight : bold;
color: #900505; 
}

.cat {
font-size: 14px;
color: #336699;
}

.lemme {
font-size: 12px;
color: #A9A9A9;
margin-left: 5px;
margin-right: 15px;
}

.cointab {
border:1px solid #B0C4DE;
background-color:#E4EFFF;
-moz-border-radius:10px;
-webkit-border-radius:10px;
}

.flou{
background-color: #ccc;
margin-left: 4px;
margin-top: 4px;
float:left;
}
 
.ombre{
position: relative;
bottom: 2px;
right: 2px;
background-color: #666;
}

.gradient2 {
background-image: -moz-linear-gradient(top, #B9B9B9, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#aaa), to(#ddd));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd)";
}
<!--fin de la feuille de style-->
</style>
	</head>

<div id="page">
<body>
	<div id="titre">
	<div class="gradient">
	<h1>Etiquetage morphosyntaxique d'une arborescence de fils RSS avec Cordial</h1>
	<h2><xsl:value-of select="PARCOURS/RUBRIQUE/@rub"/></h2>
	</div></div>
	
	<div id="tableau">
	<table align="center" width="95%" bordercolor="#B8D1BE">
	<tr bgcolor="#EBECED">
	<th class="td1"><span class="c1">Fichier initial</span></th>
	<th class="td2"><span class="c2">Contenu avec TAG :  </span><b><font color="black">forme</font></b><sub><font color="#900505">cat</font></sub><i><font color="grey">|lemme|</font></i>
	</th>
	</tr>
	
	<xsl:apply-templates select="./PARCOURS/RUBRIQUE/ETIQUETAGE"/>
	</table>
	</div>
</body>
</div>
</html>
</xsl:template>

<xsl:template match="ETIQUETAGE">
<tr bgcolor="white">
<td class="td1"><i><xsl:value-of select="@fichier"/></i></td>
<td class="td2">
<xsl:apply-templates select="PHRASE"/>
</td>
</tr>
</xsl:template>

<xsl:template match="PHRASE">
<tr>
<xsl:for-each select="./element">
<span class="forme">
<xsl:value-of select="./data[@type='string']"/>
</span>
<span class="cat">
<sub><xsl:value-of select="./data[@type='type']"/></sub>
</span>
<span class="lemme">
|<xsl:value-of select="./data[@type='lemma']"/>|<xsl:text> </xsl:text>
</span>
</xsl:for-each>
</tr>
</xsl:template>

</xsl:stylesheet>